Adds tags to one message and returns it.
POST
/conversation/entries/tags/{caseId}/{messageId}
curl \
--request POST 'http://api.example.com/conversation/entries/tags/{caseId}/{messageId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "organization: string" \
--data '{
"tagNames": [
"string"
]
}'
Request examples
# Headers
organization: string
# Payload
{
"tagNames": [
"string"
]
}
Response examples (201)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"text": "See you at 6",
"tags": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Important",
"nameLowercase": "important",
"backgroundColor": "#FDE68A",
"textColor": "#92400E",
"type": "system",
"severity": "info",
"origin": "manual",
"creatorAccessType": "org",
"isActive": true
}
],
"deviceConversation": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"messageSharing": {
"sharedMessageCount": 320,
"totalMessageCount": 1200,
"totalReportedAt": "2026-01-15T14:30:00.000Z"
},
"selectionCoverage": {
"app": "message",
"conversationId": 42,
"mode": "selected_messages",
"selectedMessageCount": 320,
"eligibleMessageCount": 1200,
"includedMessageCount": 320,
"omittedEligibleMessageCount": 880,
"selectedNotIncludedCount": 0,
"totalMessageCount": 1200,
"deviceConversation": "507f1f77bcf86cd799439011",
"ingestionStatus": "completed",
"ingestedMessageCount": 320,
"verifiedAt": "2026-01-15T14:30:00.000Z",
"completedAt": "2026-01-15T14:30:00.000Z",
"failedAt": null,
"isPartial": true,
"coverage": "selected_messages",
"eligibleScope": "after_date_and_incremental_filters",
"uploadAttemptId": "a3e6a3ab-2c6e-469c-a3ae-ab1e926c93c2",
"deviceBackupId": "65a1b2c3d4e5f6a7b8c9d0e2",
"reportOrder": "2026-01-15T14:30:00.000Z:65a1b2c3d4e5f6a7b8c9d0e2"
},
"name": "Jane Doe",
"displayName": "Conversation with Jane Doe",
"chatName": "+15555550100",
"originalDisplayName": "Jane Doe",
"source": "message",
"linkedContacts": [
{}
],
"device": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"service": "iMessage",
"lastMessageText": "See you at 6",
"firstMessageDate": "2025-03-01T09:00:00.000Z",
"lastMessageDate": "2026-01-15T14:30:00.000Z",
"displayNameEditedAt": "2026-05-04T09:42:00Z",
"lastMessageExternalId": "58231",
"isGroup": false,
"owner": {},
"isReadonly": false,
"lastExportedAt": "2026-05-04T09:42:00Z",
"messagesCount": 320,
"archivedBy": {},
"archivedAt": "2026-05-04T09:42:00Z",
"starredAt": "2026-05-04T09:42:00Z",
"tags": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Important",
"nameLowercase": "important",
"backgroundColor": "#FDE68A",
"textColor": "#92400E",
"type": "system",
"severity": "info",
"origin": "manual",
"creatorAccessType": "org",
"isActive": true
}
],
"attachedTags": [
{
"tagId": "507f1f77bcf86cd799439011",
"tag": "Important",
"addedBy": "user",
"addedById": "507f1f77bcf86cd799439012",
"removedAt": "2026-05-04T09:42:00Z",
"removedBy": "user",
"removedById": "string"
}
],
"isPlaceholder": false,
"isArchived": false,
"isStarred": false,
"hasAllAttachmentProcessed": true,
"processedAttachmentCount": 12,
"conversationName": "Conversation with Jane Doe",
"isNameEdited": false,
"participantCount": 2
},
"device": {},
"deviceType": "ios",
"sender": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"fullName": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"originalFullName": "Jane Doe",
"email": "jane.doe@example.com",
"address": "1 Main St, New York, NY",
"phone": [
"+15555550100"
],
"phoneNational": [
"(555) 555-0100"
],
"source": "default",
"linkedContacts": [
{}
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"device": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"owner": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"initials": "JD",
"conversations": [
"507f1f77bcf86cd799439014"
],
"isEdited": false
},
"receiver": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"fullName": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"originalFullName": "Jane Doe",
"email": "jane.doe@example.com",
"address": "1 Main St, New York, NY",
"phone": [
"+15555550100"
],
"phoneNational": [
"(555) 555-0100"
],
"source": "default",
"linkedContacts": [
{}
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"device": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"owner": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"initials": "JD",
"conversations": [
"507f1f77bcf86cd799439014"
],
"isEdited": false
},
"isEmpty": false,
"iMessageType": "na",
"isFromMe": true,
"isDelivered": true,
"isDeleted": false,
"isFinished": false,
"isArchive": false,
"isSpam": false,
"isSticker": false,
"isMissingMedia": false,
"isSystemMessage": false,
"attachment": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"additionalAttachments": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
}
],
"date": "2026-01-15T14:30:00.000Z",
"sentAt": "2026-01-15T14:30:00.000Z",
"readAt": "2026-01-15T14:30:00.000Z",
"playedAt": "2026-05-04T09:42:00Z",
"editedAt": "2026-05-04T09:42:00Z",
"deliveredAt": "2026-01-15T14:30:00.000Z",
"deletedAt": "2026-05-04T09:42:00Z",
"recoveredAt": "2026-05-04T09:42:00Z",
"retractedAt": "2026-05-04T09:42:00Z",
"parentMessage": {},
"messageFrom": "+15555550100",
"messageTo": "+15555550101",
"service": "iMessage",
"mimeType": "image/jpeg",
"commentsCount": 2,
"lastCommentByUserInitials": "JD",
"lastCommentByUserAvatarUrl": "https://files.example.com/avatars/jane-doe.png",
"messageIndex": 42,
"editHistory": [
{
"date": "2026-01-15T14:30:00.000Z",
"text": "See you at 7"
}
],
"deletedMessagesLogs": {
"total": 2,
"deletedMessages": [
{
"ids": [
1041,
1042
],
"startDate": "2026-01-15T14:05:00.000Z",
"endDate": "2026-01-15T14:20:00.000Z",
"count": 2,
"previousId": 1040,
"nextId": 1043,
"prevChatId": 12,
"nextChatId": 12,
"isPrevMessageInSameChat": true,
"isNextMessageInSameChat": true
}
],
"minDate": "2026-01-15T14:05:00.000Z",
"maxDate": "2026-01-15T14:20:00.000Z"
},
"guid": "9F1C2B3A-4D5E-4F60-8A7B-1C2D3E4F5A6B",
"reactions": [
{
"reaction": "👍",
"contact": {}
}
],
"attachedTags": [
{
"tagId": "507f1f77bcf86cd799439011",
"tag": "Important",
"addedBy": "user",
"addedById": "507f1f77bcf86cd799439012",
"removedAt": "2026-05-04T09:42:00Z",
"removedBy": "user",
"removedById": "string"
}
],
"collectionCount": 1,
"durationInSeconds": 32,
"callDurationInSeconds": 125,
"callType": "incoming"
},
"statusCode": 201,
"timestamp": "2026-01-15T10:15:00.000Z"
}